Skip to main content
`Ctrl`+`K`

# DMClearLocalVectors

Destroys all the local vectors that have been created for `DMGetLocalVector()` calls in this `DM`

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMClearLocalVectors(DM dm)

Collective

## Input Parameter

- dm - the `DM`

## See Also

`DM`, `DMCreateLocalVector()`, `VecDuplicate()`, `VecDuplicateVecs()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMLocalToLocalBegin()`, `DMLocalToLocalEnd()`, `DMRestoreLocalVector()`, `VecStrideMax()`, `VecStrideMin()`, `VecStrideNorm()`, `DMClearGlobalVectors()`

## Level

developer

## Location

src/dm/interface/dmget.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages